Package org.apache.ignite.internal.dto

## Class IgniteDataTransferObjectOutput

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObjectOutput

All Implemented Interfaces:
  `DataOutput`, `ObjectOutput`, `AutoCloseable`

    public class IgniteDataTransferObjectOutput
    extends Object
    implements ObjectOutput

Wrapper for object output.

### Constructor Summary

Constructors
`IgniteDataTransferObjectOutput​(ObjectOutput out)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `write​(byte[] b)`
`void` `write​(byte[] b, int off, int len)`
`void` `write​(int b)`
`void` `writeBoolean​(boolean v)`
`void` `writeByte​(int v)`
`void` `writeBytes​(@NotNull String s)`
`void` `writeChar​(int v)`
`void` `writeChars​(@NotNull String s)`
`void` `writeDouble​(double v)`
`void` `writeFloat​(float v)`
`void` `writeInt​(int v)`
`void` `writeLong​(long v)`
`void` `writeObject​(Object obj)`
`void` `writeShort​(int v)`
`void` `writeUTF​(@NotNull String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteDataTransferObjectOutput

    public IgniteDataTransferObjectOutput​(ObjectOutput out)
                                   throws IOException

Constructor.

Parameters:
  `out` - Target stream.
Throws:
  `IOException` - If an I/O error occurs.

### Method Detail

#### writeObject

    public void writeObject​(Object obj)
                     throws IOException

Specified by:
  `writeObject` in interface `ObjectOutput`
Throws:
  `IOException`

#### write

    public void write​(int b)
               throws IOException

Specified by:
  `write` in interface `DataOutput`
Specified by:
  `write` in interface `ObjectOutput`
Throws:
  `IOException`

#### write

    public void write​(byte[] b)
               throws IOException

Specified by:
  `write` in interface `DataOutput`
Specified by:
  `write` in interface `ObjectOutput`
Throws:
  `IOException`

#### write

    public void write​(byte[] b,
                      int off,
                      int len)
               throws IOException

Specified by:
  `write` in interface `DataOutput`
Specified by:
  `write` in interface `ObjectOutput`
Throws:
  `IOException`

#### writeBoolean

    public void writeBoolean​(boolean v)
                      throws IOException

Specified by:
  `writeBoolean` in interface `DataOutput`
Throws:
  `IOException`

#### writeByte

    public void writeByte​(int v)
                   throws IOException

Specified by:
  `writeByte` in interface `DataOutput`
Throws:
  `IOException`

#### writeShort

    public void writeShort​(int v)
                    throws IOException

Specified by:
  `writeShort` in interface `DataOutput`
Throws:
  `IOException`

#### writeChar

    public void writeChar​(int v)
                   throws IOException

Specified by:
  `writeChar` in interface `DataOutput`
Throws:
  `IOException`

#### writeInt

    public void writeInt​(int v)
                  throws IOException

Specified by:
  `writeInt` in interface `DataOutput`
Throws:
  `IOException`

#### writeLong

    public void writeLong​(long v)
                   throws IOException

Specified by:
  `writeLong` in interface `DataOutput`
Throws:
  `IOException`

#### writeFloat

    public void writeFloat​(float v)
                    throws IOException

Specified by:
  `writeFloat` in interface `DataOutput`
Throws:
  `IOException`

#### writeDouble

    public void writeDouble​(double v)
                     throws IOException

Specified by:
  `writeDouble` in interface `DataOutput`
Throws:
  `IOException`

#### writeBytes

    public void writeBytes​(@NotNull
                           @NotNull String s)
                    throws IOException

Specified by:
  `writeBytes` in interface `DataOutput`
Throws:
  `IOException`

#### writeChars

    public void writeChars​(@NotNull
                           @NotNull String s)
                    throws IOException

Specified by:
  `writeChars` in interface `DataOutput`
Throws:
  `IOException`

#### writeUTF

    public void writeUTF​(@NotNull
                         @NotNull String s)
                  throws IOException

Specified by:
  `writeUTF` in interface `DataOutput`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `ObjectOutput`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ObjectOutput`
Throws:
  `IOException`